MIBA

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page MIBA and the translation is 100% complete.

Other languages:
čeština • ‎English • ‎español • ‎français • ‎italiano

Introduction

Miba est une façon d'intégrer des informations sur l'espace 3D dans une image 2D. Il est donc souvent possible d'utiliser l'image 2D au lieu d'une visionneuse 3D.

Avec les informations de Miba vous êtes en mesure de calculer la position d'un lieu en 3D dans l'image 2D.

Cela vous permet de décorer l'image plus tard, avec des informations 3D arbitraires. Vous pouvez prendre la photo au début de la conception, et, l'utiliser plus tard (au cours de la production).

Vous n'avez pas besoin de connaître le type de données 3D, ou, les positions lorsque vous prenez la photo. Donc, l'image est complètement séparée des données du projet 3D.

Un cahier des charges détaillé, vous pouvez trouver ici: MIBA

Miba dans FreeCAD

Si vous choisissez un format de fichier qui a la capacité d'inclure un commentaire (JPG et PNG), vous pouvez choisir, d'écrire un commentaire, ou d'insérer les informations de la MIBA dans le champ de commentaire (activé par défaut) :

Save picture.png

Faire des photos Miba avec un script

 import Part,PartGui
 # loading test part
 Part.open("C:/Documents and Settings/jriegel/My Documents/Projects/FreeCAD/data/Blade.stp")
 OutDir = 'c:/temp/'
 Gui.ActiveDocument.ActiveView.setAnimationEnabled(False)
 
 # creating images with different Views, Cameras and sizes
 for p in ["PerspectiveCamera","OrthographicCamera"]:
   Gui.SendMsgToActiveView(p)
   for f in ["ViewAxo","ViewFront","ViewTop"]:
     Gui.SendMsgToActiveView(f)
     for x,y in [[500,500],[1000,3000],[3000,1000],[3000,3000],[8000,8000]]:
       Gui.ActiveDocument.ActiveView.saveImage(OutDir + "Blade_" + p +"_" + f + "_" + `x` + "_" + `y` + ".jpg",x,y,"White")
       Gui.ActiveDocument.ActiveView.saveImage(OutDir + "Blade_" + p +"_" + f + "_" + `x` + "_" + `y` + ".png",x,y,"Transparent")
 
 # close active document
 App.closeDocument(App.ActiveDocument.Name)